Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/HeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Heuristic Optimization Problem", "Represents the base class for a heuristic optimization problem.")]
-  [StorableClass]
+  [StorableClass("D32A23FF-11C3-4F81-B606-245CF3789E24")]
   public abstract class HeuristicOptimizationProblem<T, U> : Problem, IHeuristicOptimizationProblem
     where T : class,IEvaluator
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/MultiObjectiveHeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Multi-Objective Heuristic Optimization Problem", "A base class for multi-objective heuristic optimization problems.")]
-  [StorableClass]
+  [StorableClass("D293B357-1F82-4C4D-9152-B6349C7532A5")]
   public abstract class MultiObjectiveHeuristicOptimizationProblem<T, U> : HeuristicOptimizationProblem<T, U>, IMultiObjectiveHeuristicOptimizationProblem
     where T : class, IMultiObjectiveEvaluator
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/Problem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Problem", "Represents the base class for a problem.")]
-  [StorableClass]
+  [StorableClass("C8A6A7E9-70ED-43D0-9540-B876B2A8ABA0")]
   public abstract class Problem : ParameterizedNamedItem, IProblem {
     private const string OperatorsParameterName = "Operators";
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/SingleObjectiveHeuristicOptimizationProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Optimization {
   [Item("Single-Objective Heuristic OptimizationProblem", "A base class for single-objective heuristic optimization problems.")]
-  [StorableClass]
+  [StorableClass("57893B88-B112-4AE4-A24F-26D77591DBFA")]
   public abstract class SingleObjectiveHeuristicOptimizationProblem<T, U> : HeuristicOptimizationProblem<T, U>, ISingleObjectiveHeuristicOptimizationProblem
     where T : class, ISingleObjectiveEvaluator
Index: branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Optimization/3.3/Problems/UserDefinedProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -39,5 +39,5 @@
   [Item("User-Defined Problem", "A problem which can be defined by the user.")]
   [Creatable(CreatableAttribute.Categories.Problems, Priority = 120)]
-  [StorableClass]
+  [StorableClass("F3DF503B-3FCA-4A80-B5E8-776699E6F13E")]
   public sealed class UserDefinedProblem : ParameterizedNamedItem, ISingleObjectiveHeuristicOptimizationProblem, IStorableContent {
     public string Filename { get; set; }
@@ -235,5 +235,5 @@
 
     [Item("EmptyUserDefinedProblemEvaluator", "A dummy evaluator that will throw an exception when executed.")]
-    [StorableClass]
+    [StorableClass("F3DF503B-3FCA-4A80-B5E8-776699E6F13E")]
     [NonDiscoverableType]
     private sealed class EmptyUserDefinedProblemEvaluator : ParameterizedNamedItem, ISingleObjectiveEvaluator {
